# generated by cabal-rpm-2.0.6 --stream hackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name rpmbuild-order
%global pkgver %{pkg_name}-%{version}

%bcond_without tests

Name:           %{pkg_name}
Version:        0.4.2.1
Release:        1%{?dist}
Summary:        Order RPM packages by dependencies

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-case-insensitive-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-extra-prof
BuildRequires:  ghc-fgl-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-optparse-applicative-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-simple-cmd-args-prof
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-unix-devel
%endif
# End cabal-rpm deps

%description
The rpmbuild-order tool orders RPM packages by dependencies, so that they can
be built in the correct order. It does this by reading RPM package spec files
and then topologically sorts them according to their dependencies. The code
originated from cabal-sort by Henning Thielemann. It can also output the
ordered dependencies or reverse depends for one or more packages, provided all
the packages are checked out in neighboring directories. This is also useful to
see what packages are affected when a low-level package changes. It also have
support for setting RPM options for bcond etc, which can affect dependencies.
Since version 0.4 there is a library too.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%if %{with haddock}
%package -n ghc-%{name}-doc
Summary:        Haskell %{name} library documentation
BuildArch:      noarch

%description -n ghc-%{name}-doc
This package provides the Haskell %{name} library documentation.
%endif


%if %{with ghc_prof}
%package -n ghc-%{name}-prof
Summary:        Haskell %{name} profiling library
Requires:       ghc-%{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (ghc-%{name}-devel and ghc-prof)

%description -n ghc-%{name}-prof
This package provides the Haskell %{name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install

mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
dist/build/%{name}/%{name} --bash-completion-script %{name} > %{buildroot}%{_datadir}/bash-completion/completions/%{name}

install -p -m 0644 -D %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%check
PATH=%{buildroot}%{_bindir}:$PATH
%cabal_test


%files
# Begin cabal-rpm files:
%license LICENSE
%doc ChangeLog.md README.md TODO
%{_bindir}/%{name}
# End cabal-rpm files
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1*


%files -n ghc-%{name} -f ghc-%{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc ChangeLog.md README.md TODO


%if %{with haddock}
%files -n ghc-%{name}-doc -f ghc-%{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%endif


%changelog
* Fri Sep 11 00:18:36 +08 2020 Jens Petersen <petersen@redhat.com> - 0.4.2.1-1
- update to 0.4.2.1 bugfix
- fixes reversed order of `rpmbuild-order sort` output

* Sun Aug 09 2020 Jens Petersen <petersen@redhat.com> - 0.4.2-2
- setup bash completions

* Tue Aug 04 17:03:39 GMT 2020 Jens Petersen <petersen@redhat.com> - 0.4.2-1
- https://hackage.haskell.org/package/rpmbuild-order-0.4.2/changelog
- major new version with a library and better performance and new features
- support for bcond options
- output any subcycles for cyclic dependencies
- new commands: layers, leaves, roots, chain
- a small testsuite has been added

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Jens Petersen <petersen@redhat.com> - 0.3.1-2
- refresh to cabal-rpm-2.0.6

* Sat Jul 04 2020 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- fix detection of circular dependencies

* Wed Feb 19 2020 Jens Petersen <petersen@redhat.com> - 0.3-3
- refresh to cabal-rpm-2.0.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 10 2019 Jens Petersen <petersen@redhat.com> - 0.3-1
- check package provides instead of rpms
- --lenient for rpmspec failures
- https://hackage.haskell.org/package/rpmbuild-order-0.3/changelog

* Thu Aug 01 2019 Jens Petersen <petersen@redhat.com> - 0.2.1-5
- rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 25 2018 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- rebuild for static executable

* Fri Aug 17 2018 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- update to 0.2
- add manpage

* Wed Jul 25 2018 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1-1
- spec file generated by cabal-rpm-0.12.5
